module SetUpDevelopment
  class Dependency
    attr_reader :installer,
      :name

    def initialize(installer, name)
      @installer = installer
      @name = name
    end

    def installed?
      installer.installed?(name)
    end

    def install!
      return true if installed?
      installer.install!(name)
      true
    end
  end
end
